# Research.CorsApi

All URIs are relative to *http://research.vernonkeenan.com:8080/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**industryObservableOptions**](CorsApi.md#industryObservableOptions) | **OPTIONS** /industries/observable | 
[**industryOptions**](CorsApi.md#industryOptions) | **OPTIONS** /industries | 
[**topicObservableOptions**](CorsApi.md#topicObservableOptions) | **OPTIONS** /topics/observable | 
[**topicOptions**](CorsApi.md#topicOptions) | **OPTIONS** /topics | 



## industryObservableOptions

> industryObservableOptions()



CORS support

### Example

```javascript
import Research from 'research';

let apiInstance = new Research.CorsApi();
apiInstance.industryObservableOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## industryOptions

> industryOptions()



CORS support

### Example

```javascript
import Research from 'research';

let apiInstance = new Research.CorsApi();
apiInstance.industryOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## topicObservableOptions

> topicObservableOptions()



CORS support

### Example

```javascript
import Research from 'research';

let apiInstance = new Research.CorsApi();
apiInstance.topicObservableOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## topicOptions

> topicOptions()



CORS support

### Example

```javascript
import Research from 'research';

let apiInstance = new Research.CorsApi();
apiInstance.topicOptions((error, data, response) => {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
});
```

### Parameters

This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

