# SfGate.User

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**tenantid** | **String** |  | [optional] 
**aboutme** | **String** | About Me | [optional] 
**accountid** | **String** | Account ID | [optional] 
**address** | [**Address**](Address.md) |  | [optional] 
**alias** | **String** | Alias | [optional] 
**apikey** | **String** | API Key | [optional] 
**auth0userid** | **String** | Auth0 User ID | [optional] 
**communitynickname** | **String** | Nickname | [optional] 
**companyname** | **String** | Company Name | [optional] 
**contactid** | **String** | Contact | [optional] 
**createdbyid** | **String** | Created User ID | [optional] 
**createddate** | **String** | Date Created | [optional] 
**delegatedapproverid** | **String** | Delegated Approver | [optional] 
**department** | **String** | Department | [optional] 
**division** | **String** | Division | [optional] 
**email** | **String** | Email address | [optional] 
**employeenumber** | **String** | Employee Number | [optional] 
**endday** | **String** | Time day ends | [optional] 
**environment** | **String** | Environment | [optional] 
**extension** | **String** | Extension | [optional] 
**fabricapikey** | **String** | Fabric API Key | [optional] 
**fax** | **String** | Fax | [optional] 
**firstname** | **String** | The first name | [optional] 
**forecastenabled** | **Boolean** | Allow Forecasting | [optional] 
**fullphotourl** | **String** | Full Photo URL | [optional] 
**id** | **String** | Taxnexus ID | [optional] 
**isactive** | **Boolean** | Active | [optional] 
**isportalenabled** | **Boolean** | Is the user enabled for Communities? | [optional] 
**isprofilephotoactive** | **Boolean** | Has Profile Photo | [optional] 
**issystemcontrolled** | **Boolean** |  | [optional] 
**lastip** | **String** | ip address of last login | [optional] 
**lastlogin** | **String** | last login time | [optional] 
**lastmodifiedbyid** | **String** | Last Modified User ID | [optional] 
**lastmodifieddate** | **String** | Last Modified Date | [optional] 
**lastname** | **String** | The Last Name | [optional] 
**logincount** | **Number** | number of times user has logged in | [optional] 
**managerid** | **String** | Manager | [optional] 
**mobilephone** | **String** | Mobile | [optional] 
**name** | **String** | Name | [optional] 
**outofofficemessage** | **String** | Out of office message | [optional] 
**phone** | **String** | Phone | [optional] 
**portalrole** | **String** | Portal Role Level | [optional] 
**profileid** | **String** | Profile | [optional] 
**receivesadmininfoemails** | **Boolean** | Admin Info Emails | [optional] 
**receivesinfoemails** | **Boolean** | Info Emails | [optional] 
**senderemail** | **String** | Email Sender Address | [optional] 
**sendername** | **String** | Email Sender Name | [optional] 
**signature** | **String** | Email Signature | [optional] 
**smallphotourl** | **String** | Small Photo URL | [optional] 
**startday** | **String** | The time day starts | [optional] 
**taxnexusaccount** | **String** | Taxnexus Account | [optional] 
**timezonesidkey** | **String** | Time Zone | [optional] 
**title** | **String** | Title | [optional] 
**username** | **String** | Username | [optional] 
**userroleid** | **String** | Role | [optional] 
**usertype** | **String** | User Type | [optional] 
**userroles** | [**[UserRole]**](UserRole.md) |  | [optional] 
**tenantusers** | [**[TenantUser]**](TenantUser.md) |  | [optional] 


