# Crm.Account

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ID** | **String** | Taxnexus Account Id | [optional] 
**accountNumber** | **String** | Account Number | [optional] 
**accountSource** | **String** | The marketing origin of this account | [optional] 
**annualRevenue** | **Number** | Annual Revenue Estimate | [optional] 
**billingAddress** | [**Address**](Address.md) |  | [optional] 
**billingContactID** | **String** | Contact ID | [optional] 
**closeDate** | **String** | Close Date | [optional] 
**cloudType** | **String** | The type of cloud company | [optional] 
**cloudYear** | **String** | The year company started cloud revenue | [optional] 
**createdByID** | **String** | Created By User ID | [optional] 
**createdDate** | **String** | Created Date | [optional] 
**crunchbaseURL** | **String** | Crunchbase URL | [optional] 
**description** | **String** | Description of the account | [optional] 
**earningsCall** | **String** | Earnings Call Date | [optional] 
**email** | **String** | Main Account Email | [optional] 
**equityFunding** | **Number** | The amount of equity EquityFunding | [optional] 
**facebook** | **String** | Company Facebook URL | [optional] 
**linkedIn** | **String** | Company LinkedIn URL | [optional] 
**location** | **String** | Headquarters Location Description | [optional] 
**fax** | **String** | Fax number | [optional] 
**foundedDate** | **String** | Date company founded | [optional] 
**industry** | **String** | Industry | [optional] 
**industries** | **String** | Industries | [optional] 
**iPODate** | **String** | IPO Date | [optional] 
**logo** | **String** | Company Logo URL | [optional] 
**lastModifiedByID** | **String** | Last Modified By User ID | [optional] 
**lastModifiedDate** | **String** | Last Modified Date | [optional] 
**marketCapitalization** | **Number** | Market Capitalization | [optional] 
**name** | **String** | Account Name | [optional] 
**numberInvestments** | **Number** | Number of Investments | [optional] 
**numberOfEmployees** | **Number** | Employee Count Estimate | [optional] 
**ownerID** | **String** | Account Owner User ID | [optional] 
**ownership** | **String** | Ownership | [optional] 
**publish** | **Boolean** | Publish this record? | [optional] 
**salesforceFirst** | **Boolean** | A Salesforce-First company? | [optional] 
**parentID** | **String** | Parent Account | [optional] 
**phone** | **String** | Phone | [optional] 
**SIC** | **String** | SIC Code | [optional] 
**sICDesc** | **String** | SIC Description | [optional] 
**shippingAddress** | [**Address**](Address.md) |  | [optional] 
**shippingContactID** | **String** | Shipping Contact ID | [optional] 
**site** | **String** | Account Site | [optional] 
**tagLine** | **String** | Company tagline | [optional] 
**tenantID** | **String** | Tenant Identifier | [optional] 
**tickerSymbol** | **String** | Ticker Symbol | [optional] 
**twitter** | **String** | Twitter URL | [optional] 
**type** | **String** | Type | [optional] 
**website** | **String** | Website | [optional] 
**yearStarted** | **String** | Year Started | [optional] 


