# SfGate.Account

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**tenantID** | **String** | tenant identifier | [optional] 
**ID** | **String** | Taxnexus Account Id | [optional] 
**accountNumber** | **String** | Account Number | [optional] 
**accountSource** | **String** | The marketing orgin of this account | [optional] 
**annualRevenue** | **Number** | Annual Revenue Estimate | [optional] 
**billingAddress** | [**Address**](Address.md) |  | [optional] 
**billingContactID** | **String** | Contact ID | [optional] 
**createdByID** | **String** | Created By User ID | [optional] 
**createdDate** | **String** | Created Date | [optional] 
**closeDate** | **String** | Date company closed | [optional] 
**cloudRevenueTotal** | **Number** |  | [optional] 
**cloudType** | **String** |  | [optional] 
**cloudYear** | **String** |  | [optional] 
**crunchbaseURL** | **String** |  | [optional] 
**description** | **String** | Description | [optional] 
**earningsCall** | **String** |  | [optional] 
**email** | **String** | Main Account Email | [optional] 
**equityFunding** | **Number** |  | [optional] 
**fax** | **String** | Fax | [optional] 
**foundedDate** | **String** |  | [optional] 
**industry** | **String** | Industry | [optional] 
**facebook** | **String** |  | [optional] 
**industries** | **String** |  | [optional] 
**iPODate** | **String** |  | [optional] 
**lastModifiedByID** | **String** | Last Modified By User ID | [optional] 
**lastModifiedDate** | **String** | Last Modified Date | [optional] 
**linkedIn** | **String** |  | [optional] 
**location** | **String** |  | [optional] 
**marketCapitalization** | **Number** |  | [optional] 
**name** | **String** | Account Name | [optional] 
**numberOfEmployees** | **Number** | Employee Count Estimate | [optional] 
**numberInvestments** | **Number** | Number of Locations Estimate | [optional] 
**ownerID** | **String** | Account Owner User ID | [optional] 
**ownership** | **String** | Ownership | [optional] 
**parentID** | **String** | Parent Account | [optional] 
**phone** | **String** | Phone | [optional] 
**publish** | **Boolean** |  | [optional] 
**salesforceFirst** | **Boolean** |  | [optional] 
**shippingAddress** | [**Address**](Address.md) |  | [optional] 
**shippingContactID** | **String** |  | [optional] 
**SIC** | **String** | SIC Code | [optional] 
**sICDesc** | **String** | SIC Description | [optional] 
**site** | **String** | Account Site | [optional] 
**tagLine** | **String** |  | [optional] 
**tickerSymbol** | **String** |  | [optional] 
**type** | **String** | Type | [optional] 
**twitter** | **String** |  | [optional] 
**website** | **String** | Website | [optional] 
**yearStarted** | **String** | Year Started | [optional] 


